﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub WR6000 (1 yr) DC Gain VER IEEE /9500
INSTRUMENT:            Sub WR6000 (1 yr) Offset VER IEEE /9500
DATE:                  2007-10-03 08:03:22
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       26
NUMBER OF LINES:       386
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        WaveRunner 6030, 6050, 6051, 6100, and 6200
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Global Variables Used:
#
#    @Chan
#      This register specifies which channel of the WaveRunner 6000 series
#      oscilloscope is currently being tested.
#        @Chan = 1 (Channel 1)
#        @Chan = 2 (Channel 2)
#        @Chan = 3 (Channel 3)
#        @Chan = 4 (Channel 4)
#        @Chan = 5 (EXT input)
#
#    @NumChan
#      This register specifies the number of channels the WaveRunner 6000
#      series oscilloscope has.
#
#    @Ch1 - @Ch4
#      Trace On/Off information as determined in sub, "Sub WaveRunner 6000
#      Select Channel".
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  RSLT         =Channel [V @Chan]
  1.003  RSLT         =

# After reset, default leaves channels 1 and 2 on; turn them off.
  1.004  IEEE2        PACL;C1:TRA OFF;C2:TRA OFF
# Select trace function based on sub "Sub WaveRunner 6k Four Channel Select".
  1.005  IEEE2        F1:TRA [V @Ch1]
  1.006  IEEE2        F2:TRA [V @Ch2]
  1.007  IEEE2        F3:TRA [V @Ch3]
  1.008  IEEE2        F4:TRA [V @Ch4]
# <selected channel>, Coupling, DC, 50 Ohms, 10 mV/div., 0 V offset.
  1.009  IEEE2        C[V @Chan]:CPL D50;VDIV 10e-3;OFST 0V
# Trigger Select, Edge, Source, Line, <selected channel>, Slope, +, DC.
  1.010  IEEE2        TRSE EDGE,SR,LINE;C[V @Chan]:TRSL POS;TRCP DC
# Take 100 k samples.
  1.011  IEEE2        MSIZ 100K
# Trigger Mode to Auto.
  1.012  IEEE2        TRMD AUTO
# Timebase to 1 µs/div.
  1.013  IEEE2        TDIV 1e-6
# Define function parameters for traces 1 and 2.
  1.014  IEEE2        F1:DEF EQN,'AVG(C1)',SWEEPS,100
  1.015  IEEE2        F2:DEF EQN,'AVG(C2)',SWEEPS,100

# If f channel model, define function parameters for traces 3 and 4.
  1.016  IF           @NumChan > 2
  1.017  IEEE         F3:DEF EQN,'AVG(C3)',SWEEPS,100
  1.018  IEEE         F4:DEF EQN,'AVG(C4)',SWEEPS,100
  1.019  ENDIF

  1.020  IF           @Chan == 1
  1.021  MATH         MeasFunc = "F1"
  1.022  ELSEIF       @Chan == 2
  1.023  MATH         MeasFunc = "F2"
  1.024  ELSEIF       @Chan == 3
  1.025  MATH         MeasFunc = "F3"
  1.026  ELSEIF       @Chan == 4
  1.027  MATH         MeasFunc = "F4"
  1.028  ELSE
  1.029  DISP         Unable to determine number of UUT channels!
  1.029  DISP
  1.029  DISP         Press Advance" to terminate the Trigger
  1.029  DISP         Level test.
  1.030  END
  1.031  ENDIF

  1.032  IEEE2        CRMS CUST
  1.033  IEEE2        PACL
  1.034  IEEE2        PACU 1,MEAN,[V MeasFunc]

  1.035  JMPL         DC_GAIN_ACCURACY             PSUBI("DC Gain")
  1.036  JMPL         OFFSET_ACCURACY              PSUBI("Offset")
  1.037  DISP         Subprocedure not found!
  1.038  END

  1.039  EVAL   Increment step number

#============================== Gain Accuracy ================================

  2.001  LABEL        DC_GAIN_ACCURACY
  2.002  RSLT         =DC, 50 Ohms
  2.003  HEAD         CH[V @Chan] DC GAIN ACCURACY (50 Ohms): {2 mV/div}
  2.004  TARGET       -p
  2.005  IEEE2        C[V @Chan]:VDIV 2e-3;CPL D50
  2.006  9500         6.000mV                                           S
  2.007  TARGET       -m
  2.008  IEEE2        CLSW
  2.009  WAIT         -t 5 Making UUT DC Gain measurement...
  2.010  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
  2.011  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
# Absolute specification is ± (2% FS + 2 mV).
  2.012  TOL          2/ 2U
  2.013  MEMCX  16    6.000mV        TOL

  3.001  9500         -6.000mV                                          S
  3.002  TARGET       -m
  3.003  IEEE2        CLSW
  3.004  WAIT         -t 5 Making UUT DC Gain measurement...
  3.005  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
  3.006  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
  3.007  MEMCX  16    -6.000mV       TOL

  4.001  RSLT         =
  4.002  HEAD         CH[V @Chan] DC GAIN ACCURACY (50 Ohms): {5 mV/div}
  4.003  TARGET       -p
  4.004  IEEE2        C[V @Chan]:VDIV 5e-3;CPL D50
  4.005  9500         15.000mV                                          S
  4.006  TARGET       -m
  4.007  IEEE2        CLSW
  4.008  WAIT         -t 5 Making UUT DC Gain measurement...
  4.009  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
  4.010  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
  4.011  MEMCX  40    15.000mV       TOL

  5.001  9500         -15.000mV                                         S
  5.002  TARGET       -m
  5.003  IEEE2        CLSW
  5.004  WAIT         -t 5 Making UUT DC Gain measurement...
  5.005  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
  5.006  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
  5.007  MEMCX  40    -15.000mV      TOL

  6.001  RSLT         =
  6.002  HEAD         CH[V @Chan] DC GAIN ACCURACY (50 Ohms): {10 mV/div}
  6.003  TARGET       -p
  6.004  IEEE2        C[V @Chan]:VDIV 10e-3;CPL D50
  6.005  9500         30.00mV                                           S
  6.006  TARGET       -m
  6.007  IEEE2        CLSW
  6.008  WAIT         -t 5 Making UUT DC Gain measurement...
  6.009  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
  6.010  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
  6.011  MEMCX  80    30.00mV        TOL

  7.001  9500         -30.00mV                                          S
  7.002  TARGET       -m
  7.003  IEEE2        CLSW
  7.004  WAIT         -t 5 Making UUT DC Gain measurement...
  7.005  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
  7.006  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
  7.007  MEMCX  80    -30.00mV       TOL

  8.001  RSLT         =
  8.002  HEAD         CH[V @Chan] DC GAIN ACCURACY (50 Ohms): {100 mV/div}
  8.003  TARGET       -p
  8.004  IEEE2        C[V @Chan]:VDIV 100e-3;CPL D50
  8.005  9500         300.0mV                                           S
  8.006  TARGET       -m
  8.007  IEEE         CLSW
  8.008  WAIT         -t 5 Making UUT DC Gain measurement...
  8.009  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
  8.010  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
  8.011  MEMCX  800   300.0mV        TOL

  9.001  9500         -300.0mV                                          S
  9.002  TARGET       -m
  9.003  IEEE2        CLSW
  9.004  WAIT         -t 5 Making UUT DC Gain measurement...
  9.005  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
  9.006  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
  9.007  MEMCX  800   -300.0mV       TOL

 10.001  RSLT         =
 10.002  HEAD         CH[V @Chan] DC GAIN ACCURACY (50 Ohms): {1 V/div}
 10.003  TARGET       -p
 10.004  IEEE2        C[V @Chan]:VDIV 1;CPL D50
 10.005  9500         3.000V                                            S
 10.006  TARGET       -m
 10.007  IEEE2        CLSW
 10.008  WAIT         -t 5 Making UUT DC Gain measurement...
 10.009  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 10.010  MATH         MEM = FLD(MEM2, 2, ",")
 10.011  TOL          2/ 2e-3U
 10.012  MEMCX  8     3.000V         TOL

 11.001  9500         -3.000V                                           S
 11.002  TARGET       -m
 11.003  IEEE2        CLSW
 11.004  WAIT         -t 5 Making UUT DC Gain measurement...
 11.005  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 11.006  MATH         MEM = FLD(MEM2, 2, ",")
 11.007  MEMCX  8     -3.000V        TOL

 12.001  RSLT         =
 12.002  RSLT         =DC, 1 MOhm
 12.003  HEAD         CH[V @Chan] DC GAIN ACCURACY (1 MOhm): {2 mV/div}
 12.004  TARGET       -p
 12.005  IEEE2        C[V @Chan]:VDIV 2e-3;CPL D1M
 12.006  9500         6.000mV                                           S
 12.007  TARGET       -m
 12.008  IEEE2        CLSW
 12.009  WAIT         -t 5 Making UUT DC Gain measurement...
 12.010  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 12.011  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
 12.012  TOL          2/ 2U
 12.013  MEMCX  16    6.000mV        TOL

 13.001  9500         -6.000mV                                          S
 13.002  TARGET       -m
 13.003  IEEE2        CLSW
 13.004  WAIT         -t 5 Making UUT DC Gain measurement...
 13.005  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 13.006  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
 13.007  MEMCX  16    -6.000mV       TOL

 14.001  RSLT         =
 14.002  HEAD         CH[V @Chan] DC GAIN ACCURACY (1 MOhm): {5 mV/div}
 14.003  TARGET       -p
 14.004  IEEE2        C[V @Chan]:VDIV 5e-3;CPL D1M
 14.005  9500         15.000mV                                          S
 14.006  TARGET       -m
 14.007  IEEE2        CLSW
 14.008  WAIT         -t 5 Making UUT DC Gain measurement...
 14.009  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 14.010  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
 14.011  MEMCX  40    15.000mV       TOL

 15.001  9500         -15.000mV                                         S
 15.002  TARGET       -m
 15.003  IEEE2        CLSW
 15.004  WAIT         -t 5 Making UUT DC Gain measurement...
 15.005  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 15.006  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
 15.007  MEMCX  40    -15.000mV      TOL

 16.001  RSLT         =
 16.002  HEAD         CH[V @Chan] DC GAIN ACCURACY (1 MOhm): {10 mV/div}
 16.003  TARGET       -p
 16.004  IEEE2        C[V @Chan]:VDIV 10e-3;CPL D1M
 16.005  9500         30.00mV                                           S
 16.006  TARGET       -m
 16.007  IEEE2        CLSW
 16.008  WAIT         -t 5 Making UUT DC Gain measurement...
 16.009  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 16.010  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
 16.011  MEMCX  80    30.00mV        TOL

 17.001  9500         -30.00mV                                          S
 17.002  TARGET       -m
 17.003  IEEE2        CLSW
 17.004  WAIT         -t 5 Making UUT DC Gain measurement...
 17.005  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 17.006  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
 17.007  MEMCX  80    -30.00mV       TOL

 18.001  RSLT         =
 18.002  HEAD         CH[V @Chan] DC GAIN ACCURACY (1 MOhm): {200 mV/div}
 18.003  TARGET       -p
 18.004  IEEE2        C[V @Chan]:VDIV 200e-3;CPL D1M
 18.005  9500         600.0mV                                           S
 18.006  TARGET       -m
 18.007  IEEE2        CLSW
 18.008  WAIT         -t 5 Making UUT DC Gain measurement...
 18.009  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 18.010  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
 18.011  MEMCX  1600  600.0mV        TOL

 19.001  9500         -600.0mV                                          S
 19.002  TARGET       -m
 19.003  IEEE2        CLSW
 19.004  WAIT         -t 5 Making UUT DC Gain measurement...
 19.005  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 19.006  MATH         MEM = (FLD(MEM2, 2, ",")) * 1E+3
 19.007  MEMCX  1600  -600.0mV       TOL

 20.001  RSLT         =
 20.002  HEAD         CH[V @Chan] DC GAIN ACCURACY (1 MOhm): {2 V/div}
 20.003  TARGET       -p
 20.004  IEEE2        C[V @Chan]:VDIV 2;CPL D1M
 20.005  9500         6.000V                                            S
 20.006  TARGET       -m
 20.007  IEEE2        CLSW
 20.008  WAIT         -t 5 Making UUT DC Gain measurement...
 20.009  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 20.010  MATH         MEM = FLD(MEM2, 2, ",")
 20.011  TOL          2/ 2e-3U
 20.012  MEMCX  16    6.000V         TOL

 21.001  9500         -6.000V                                           S
 21.002  TARGET       -m
 21.003  IEEE2        CLSW
 21.004  WAIT         -t 5 Making UUT DC Gain measurement...
 21.005  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 21.006  MATH         MEM = FLD(MEM2, 2, ",")
 21.007  MEMCX  16    -6.000V        TOL

 22.001  9500         *                                                 S
 22.002  IEEE2        *RST
 22.003  END

#============================ Offset Accuracy ================================

 22.004  LABEL        OFFSET_ACCURACY
 22.005  RSLT         =DC, 50 Ohms, 50 mV/div
 22.006  HEAD         CH[V @Chan] OFFSET ACCURACY (50 Ohms): +0.75 V Offset
 22.007  TARGET       -p
 22.008  IEEE2        C[V @Chan]:VDIV 50e-3;OFST -0.75V;CPL D50
 22.009  IEEE2        TRSE EDGE,SR,C[V @Chan];C[V @Chan]:TRSL POS;TRCP DC
 22.010  9500         0.7500V                                           S
 22.011  TARGET       -m
 22.012  IEEE2        CLSW
 22.013  WAIT         -t 5 Making UUT DC Offset measurement...
 22.014  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 22.015  MATH         MEM = FLD(MEM2, 2, ",")
# Specification is ± (1.5% of offset + 0.5% of FS + 1 mV), where offset is
# expressed in volts, and FS is [volts/div setting * full-scale (8 div)].
 22.016  TOL          1.5% 0.5/ 1e-3U
 22.017  MEMCX  0.4   0.7500V        TOL

 23.001  HEAD         CH[V @Chan] OFFSET ACCURACY (50 Ohms): -0.75 V Offset
 23.002  IEEE2        C[V @Chan]:VDIV 50e-3;OFST 0.75V;CPL D50
 23.003  9500         -0.7500V                                          S
 23.004  TARGET       -m
 23.005  IEEE2        CLSW
 23.006  WAIT         -t 5 Making UUT DC Offset measurement...
 23.007  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 23.008  MATH         MEM = FLD(MEM2, 2, ",")
 23.009  MEMCX  0.4   -0.7500V       TOL

 24.001  RSLT         =
 24.002  RSLT         =DC, 1 MOhm, 50 mV/div
 24.003  HEAD         CH[V @Chan] OFFSET ACCURACY (1 MOhm): +0.75 V Offset
 24.004  TARGET       -p
 24.005  IEEE2        C[V @Chan]:VDIV 50e-3;OFST -0.75V;CPL D1M
 24.006  IEEE2        TRSE EDGE,SR,C[V @Chan];C[V @Chan]:TRSL POS;TRCP DC
 24.007  9500         0.7500V                                           S
 24.008  TARGET       -m
 24.009  IEEE2        CLSW
 24.010  WAIT         -t 5 Making UUT DC Offset measurement...
 24.011  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 24.012  MATH         MEM = FLD(MEM2, 2, ",")
 24.013  MEMCX  0.4   0.7500V        TOL

 25.001  HEAD         CH[V @Chan] OFFSET ACCURACY (1 MOhm): -0.75 V Offset
 25.002  IEEE2        C[V @Chan]:VDIV 50e-3;OFST 0.75V;CPL D1M
 25.003  9500         -0.7500V                                          S
 25.004  TARGET       -m
 25.005  IEEE2        CLSW
 25.006  WAIT         -t 5 Making UUT DC Offset measurement...
 25.007  IEEE         [V MeasFunc]:PAVA? MEAN[I$]
 25.008  MATH         MEM = FLD(MEM2, 2, ",")
 25.009  MEMCX  0.4   -0.7500V       TOL

 26.001  9500         *                                                 S
 26.002  IEEE2        *RST
 26.003  END
